Bug 110828 - Error in ntpd init script
Error in ntpd init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ntp (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 12:15 EST by Mark Leary
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 00:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Leary 2003-11-24 12:15:36 EST
Description of problem:

init script for ntpd uses the old style RH-Lokkit iptables chain 
instead of the new RH-Firewall standard.  This causes the init script 
to always fail when checking if the firewall rule is already 
enabled.  This can easily be fixed by just changing all occurances of 
RH-Lokkit-0-50-INPUT in the init script to RH-Firewall-1-INPUT.
Comment 1 Mark Leary 2004-01-22 14:00:14 EST
Anyone out there?  We are paying customers and this is an easy fix.

perl -pi -e 's/RH-Lokkit-0-50-INPUT/RH-Firewall-1-
INPUT/g' /etc/init.d/ntpd
Comment 2 Aleksey Nogin 2004-03-11 06:37:22 EST
See also bug 108096.
Comment 3 John Flanagan 2004-05-12 00:44:35 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-092.html

Note You need to log in before you can comment on or make changes to this bug.